| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_ss_endpoint_companion_descriptor Struct Reference
USB descriptors

A structure representing the superspeed endpoint companion descriptor. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type. More...
uint8_t | bMaxBurst
| The maximum number of packets the endpoint can send or receive as part of a burst.
uint8_t | bmAttributes
| In bulk EP: bits 4:0 represents the maximum number of streams the EP supports. More...
uint16_t | wBytesPerInterval
| The total number of bytes this EP will transfer every service interval. More...

## Detailed Description

A structure representing the superspeed endpoint companion descriptor.

This descriptor is documented in section 9.6.7 of the USB 3.0 specification. All multiple-byte fields are represented in host-endian format.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_ss_endpoint_companion_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_SS_ENDPOINT_COMPANION in this context.

## ◆ bmAttributes

uint8_t libusb_ss_endpoint_companion_descriptor::bmAttributes

In bulk EP: bits 4:0 represents the maximum number of streams the EP supports.

In isochronous EP: bits 1:0 represents the Mult - a zero based value that determines the maximum number of packets within a service interval

## ◆ wBytesPerInterval

uint16_t libusb_ss_endpoint_companion_descriptor::wBytesPerInterval

The total number of bytes this EP will transfer every service interval.

Valid only for periodic EPs.

The documentation for this struct was generated from the following file:

- libusb.h